import React from "react";

import AnnouncementList from "components/annoucements/AnnouncementList";
import { AnnouncementStore } from "stores";

const AnnoucementsContainer = () => {
  const items = AnnouncementStore.useState((state) => state.items);

  const onEdit = (announcement) => {
    console.log("edit", announcement);
  };
  const onDelete = (announcement) => {
    console.log("delete", announcement);
  };

  return (
    <AnnouncementList
      items={items}
      displayActions={true}
      onDelete={onDelete}
      onEdit={onEdit}
    />
  );
};

export default AnnoucementsContainer;
